﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.UI.Xaml.Grid;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml;

namespace SfGrid
{
    public class ViewModel : INotifyPropertyChanged
    {
        private EmployeeDetails emp = new EmployeeDetails();

        public ViewModel()
        {
            this.GDCSource = emp;
        }


        private ObservableCollection<BusinessObjects> gdcsource;
        public ObservableCollection<BusinessObjects> GDCSource
        {
            get
            {
                return gdcsource;
            }
            set
            {
                gdcsource = value;
                OnPropertyChanged("GDCSource");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        protected virtual void OnPropertyChanged(string propertyName = null)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null) handler(this, new PropertyChangedEventArgs(propertyName));
        }
    }

    class EmployeeDetails : ObservableCollection<BusinessObjects>
    {
        Random rand = new Random();
        public EmployeeDetails()
        {
            PopulateCollection();
        }

        private void PopulateCollection()
        {
            this.Clear();
            var b = new BusinessObjects() { EmployeeId = 1, EmployeeName = "Mark", EmployeeAge = 22, EmployeeArea = "USA", EmployeeStatus = false, EmployeeDesignation = "Product Manager", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 2, EmployeeName = "Peter", EmployeeAge = 21, EmployeeArea = "UK", EmployeeStatus = true, EmployeeDesignation = "Junior Architect", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 3, EmployeeName = "James", EmployeeAge = 20, EmployeeArea = "UAE", EmployeeStatus = false, EmployeeDesignation = "Team Lead", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 4, EmployeeName = "Oliver", EmployeeAge = 20, EmployeeArea = "USA", EmployeeStatus = true, EmployeeDesignation = "Genreral Manager", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 5, EmployeeName = "Robert", EmployeeAge = 22, EmployeeArea = "India", EmployeeStatus = true, EmployeeDesignation = "Sales Engineer", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 6, EmployeeName = "Suji", EmployeeAge = 23, EmployeeArea = "UK", EmployeeStatus = false, EmployeeDesignation = "Senior Architect", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Female" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 7, EmployeeName = "Mahesh", EmployeeAge = 22, EmployeeArea = "UK", EmployeeStatus = true, EmployeeDesignation = "Test Engineer", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 8, EmployeeName = "Ruby", EmployeeAge = 22, EmployeeArea = "UK", EmployeeStatus = true, EmployeeDesignation = "Co-Ordinator", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Female" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 9, EmployeeName = "Christain", EmployeeAge = 21, EmployeeArea = "India", EmployeeStatus = false, EmployeeDesignation = "Human Resource", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 10, EmployeeName = "Aravind", EmployeeAge = 20, EmployeeArea = "India", EmployeeStatus = true, EmployeeDesignation = "Senior Architect", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 11, EmployeeName = "Daniel", EmployeeAge = 22, EmployeeArea = "USA", EmployeeStatus = false, EmployeeDesignation = "Product Manager", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 12, EmployeeName = "Suhitha Azar", EmployeeAge = 21, EmployeeArea = "UK", EmployeeStatus = true, EmployeeDesignation = "Junior Architect", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Female" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 13, EmployeeName = "Praveen", EmployeeAge = 20, EmployeeArea = "UAE", EmployeeStatus = false, EmployeeDesignation = "Team Lead", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 14, EmployeeName = "Stephen", EmployeeAge = 20, EmployeeArea = "USA", EmployeeStatus = true, EmployeeDesignation = "Genreral Manager", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 15, EmployeeName = "Asha Joseph", EmployeeAge = 22, EmployeeArea = "India", EmployeeStatus = true, EmployeeDesignation = "Sales Engineer", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Female" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 16, EmployeeName = "Clarke", EmployeeAge = 23, EmployeeArea = "UK", EmployeeStatus = false, EmployeeDesignation = "Representative", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 17, EmployeeName = "Dhileep Venkatesh", EmployeeAge = 22, EmployeeArea = "UK", EmployeeStatus = true, EmployeeDesignation = "Test Engineer", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 18, EmployeeName = "Mary Alexender", EmployeeAge = 22, EmployeeArea = "UK", EmployeeStatus = true, EmployeeDesignation = "Co-Ordinator", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Female" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 19, EmployeeName = "Bob Gally", EmployeeAge = 21, EmployeeArea = "India", EmployeeStatus = false, EmployeeDesignation = "Human Resource", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 20, EmployeeName = "Amy Christain", EmployeeAge = 20, EmployeeArea = "India", EmployeeStatus = true, EmployeeDesignation = "Senior Architect ", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 21, EmployeeName = "Hema", EmployeeAge = 22, EmployeeArea = "USA", EmployeeStatus = false, EmployeeDesignation = "Product Manager", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 22, EmployeeName = "Julie Albert", EmployeeAge = 21, EmployeeArea = "UK", EmployeeStatus = true, EmployeeDesignation = "Junior Architect", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Female" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 23, EmployeeName = "Mahendra Gupta", EmployeeAge = 20, EmployeeArea = "UAE", EmployeeStatus = false, EmployeeDesignation = "Team Lead", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 24, EmployeeName = "Ben Thompson", EmployeeAge = 20, EmployeeArea = "USA", EmployeeStatus = true, EmployeeDesignation = "Genreral Manager", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Male" };
            this.Add(b);
            b = new BusinessObjects() { EmployeeId = 25, EmployeeName = "Sindhya", EmployeeAge = 20, EmployeeArea = "India", EmployeeStatus = true, EmployeeDesignation = "Senior Architect ", EmployeeSalary = 1200, ExperienceInMonth = 10, EmployeeDOB = DateTime.Now, EmployeeGender = "Female" };
            this.Add(b);
        }
    }

}
